org.apache.olingo.commons.api.data

## Class ComplexValue

- java.lang.Object
- - org.apache.olingo.commons.api.data.Annotatable
  - - org.apache.olingo.commons.api.data.AbstractODataObject
    - - org.apache.olingo.commons.api.data.Linked
      - - org.apache.olingo.commons.api.data.ComplexValue

-     public class ComplexValue
      extends Linked

  Represents the value of a complex property.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComplexValue()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getTypeName()` Get string representation of type (can be null if not set).
    `List<Property>` | `getValue()` Get list of all values for this ComplexValue.
    `int` | `hashCode()`
    `void` | `setTypeName(String typeName)` Set string representation of type.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.olingo.commons.api.data.Linked

      `getAssociationLink, getAssociationLinks, getNavigationBinding, getNavigationBindings, getNavigationLink, getNavigationLinks, getOneByTitle`

    - ### Methods inherited from class org.apache.olingo.commons.api.data.AbstractODataObject

      `getBaseURI, getId, getTitle, setBaseURI, setCommonProperty, setId`

    - ### Methods inherited from class org.apache.olingo.commons.api.data.Annotatable

      `getAnnotations`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ComplexValue

          public ComplexValue()

  - ### Method Detail

    - #### getValue

          public List<Property> getValue()

      Get list of all values for this ComplexValue.
      Returns:
        all values for this ComplexValue (can not be null).

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Linked`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Linked`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getTypeName

          public String getTypeName()

      Get string representation of type (can be null if not set).
      Returns:
        string representation of type (can be null if not set)

    - #### setTypeName

          public void setTypeName(String typeName)

      Set string representation of type.
      Parameters:
        `type` - string representation of type

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.